Full name: projects.locations.instances.legacyPlaybooks.legacyDuplicateWorkflow
Creates a duplicate of a playbook definition. Use this method to create a new workflow starting from an existing template.
HTTP request
POST https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyDuplicateWorkflow
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
instance |
Required. The instance to duplicate the workflow for. Format: projects/{project}/locations/{location}/instances/{instance} |
Request body
The request body contains an instance of ApiWorkflowDefinitionDataModel.
Response body
If successful, the response body contains an instance of ApiWorkflowDefinitionDataModel.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the instance resource:
chronicle.legacyPlaybooks.update
For more information, see the IAM documentation.